### Constructor

# Goa FilesProxy new_sync

since: 3.8.0

#### Declaration [src]

    GoaFiles*
    goa_files_proxy_new_sync (
      GDBusConnection* connection,
      GDBusProxyFlags flags,
      const gchar* name,
      const gchar* object_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Files. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_files_proxy_new()` for the asynchronous version of this constructor.

Available since: 3.8.0

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`flags`

  Type: `GDBusProxyFlags`

  Flags from the `GDBusProxyFlags` enumeration.

`name`

  Type: `const gchar*`

  A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GoaFilesProxy`

The constructed proxy object or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.